##
##  tinyproxy.conf -- Tinyproxy Daemon Configuration
##

#   run-time user/group
User                 @l_nusr@
Group                @l_ngrp@

#   network management
Port                 8888
Listen               127.0.0.1
#Bind                127.0.0.1
Timeout              600

#   daemon management
PidFile              "@l_prefix@/var/tinyproxy/tinyproxy.pid"
Logfile              "@l_prefix@/var/tinyproxy/tinyproxy.log"
LogLevel             Info
MaxClients           100
MinSpareServers      5
StartServers         10
MaxSpareServers      20
MaxRequestsPerChild  0

#   error handling
#ErrorFile           404 "@l_prefix@/share/tinyproxy/404.html"
#ErrorFile           400 "@l_prefix@/share/tinyproxy/400.html"
#ErrorFile           503 "@l_prefix@/share/tinyproxy/503.html"
#ErrorFile           403 "@l_prefix@/share/tinyproxy/403.html"
#ErrorFile           408 "@l_prefix@/share/tinyproxy/408.html"
DefaultErrorFile     "@l_prefix@/share/tinyproxy/default.html"
StatFile             "@l_prefix@/share/tinyproxy/stats.html"

#   upstream proxy support
#upstream            testproxy:8008 ".example.com"
#upstream            testproxy:8008 "192.168.128.0/255.255.254.0"
#no upstream         ".internal.example.com"
#no upstream         "www.example.com"
#no upstream         "10.0.0.0/8"
#no upstream         "192.168.0.0/255.255.254.0"
#no upstream         "."
#upstream            default.example.com:80

#   access control
#Allow               127.0.0.1/8
#Allow               192.168.1.0/24
ConnectPort          443
ConnectPort          563

#   HTTP header management
#Anonymous           Host
#Anonymous           Authorization
#XTinyproxy          example.com
#ViaProxyName        tinyproxy

#   HTTP URL filtering
#Filter              "@l_prefix@/etc/tinyproxy/tinyproxy.filter"
#FilterURLs          On
#FilterExtended      On
#FilterCaseSensitive On     
#FilterDefaultDeny   Yes

